## START: Set by rpmautospec
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 17
# Deactivate tests as it need a x server running. See below.
# https://github.com/gtk-rs/gtk3-rs/issues/599
%bcond_with check
%global debug_package %{nil}

%global crate gdk

Name:           rust-%{crate}
Version:        0.14.0
Release:        %autorelease
Summary:        Rust bindings for the GDK 3 library

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/gdk
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Rust bindings for the GDK 3 library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license COPYRIGHT LICENSE
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+dox-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dox-devel %{_description}

This package contains library source intended for building other packages
which use "dox" feature of "%{crate}" crate.

%files       -n %{name}+dox-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+v3_20-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v3_20-devel %{_description}

This package contains library source intended for building other packages
which use "v3_20" feature of "%{crate}" crate.

%files       -n %{name}+v3_20-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+v3_22-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v3_22-devel %{_description}

This package contains library source intended for building other packages
which use "v3_22" feature of "%{crate}" crate.

%files       -n %{name}+v3_22-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+v3_24-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v3_24-devel %{_description}

This package contains library source intended for building other packages
which use "v3_24" feature of "%{crate}" crate.

%files       -n %{name}+v3_24-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jul 16 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.14.0-2
- Uncommitted changes

* Thu Jul 01 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.14.0-1
- Update to 0.14.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.13.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Aug 27 2020 Josh Stone <jistone@redhat.com> 0.13.2-1
- Update to 0.13.2

* Thu Aug 20 2020 Josh Stone <jistone@redhat.com> 0.13.1-1
- Update to 0.13.1

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 10 2020 Josh Stone <jistone@redhat.com> 0.13.0-1
- Update to 0.13.0

* Mon Feb 10 2020 Josh Stone <jistone@redhat.com> 0.12.1-1
- Update to 0.12.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 15 2020 Josh Stone <jistone@redhat.com> 0.12.0-1
- Update to 0.12.0

* Tue Dec 10 2019 Josh Stone <jistone@redhat.com> 0.11.0-1
- Update to 0.11.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Apr 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.10.0-1
- Update to 0.10.0

* Mon Feb 18 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.9.0-1
- Update to 0.9.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Mar 22 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.8.0-1
- Update to 0.8.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.7.0-2
- Rebuild for rust-packaging v5

* Sat Jan 06 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.7.0-1
- initial import
